Name:           hibagent
Version:        1.1.0
Release:        5%{?dist}
Summary:        Hibernation trigger utility for AWS EC2

Group:          Development/Languages
License:        Apache 2.0
URL:            https://github.com/aws/ec2-hibernate-linux-agent
Source0:        hibagent-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2 python2-devel systemd
%{?systemd_requires}
Requires:       pm-utils

%description
An EC2 agent that watches for instance stop notifications and initiates hibernation

%prep
%setup -q -n hibagent-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --prefix=usr -O1 --skip-build --root $RPM_BUILD_ROOT
mkdir -p "%{buildroot}%{_unitdir}"
install -p -m 644 "%{_builddir}/%{name}-%{version}/hibagent.service" %{buildroot}%{_unitdir}

%files
%defattr(-,root,root)
%doc LICENSE.txt README.md
%{_sysconfdir}/hibagent-config.cfg
%{_unitdir}/hibagent.service
%{_bindir}/hibagent
%{_bindir}/enable-ec2-spot-hibernation
%{python2_sitelib}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post hibagent.service

%preun
%systemd_preun hibagent.service

%postun
%systemd_postun_with_restart hibagent.service

%changelog
* Thu Jun 7 2018 Aleksei Besogonov <cyberax@amazon.com> - 1.1.0-1
- Added systemd support, removed SysV

* Mon Sep 4 2017 Aleksei Besogonov <cyberax@amazon.com> - 1.0.0-1
- Initial build
